@ingroup amip_interp

## Information for the use of the monthly NMC SST analyzed fields

(This file was edited for the Flexible Modeling System on July 26, 1999)

The monthly optimum interpolation (OI) fields are derived by a linear
interpolation of the weekly OI fields to daily fields then averaging
the daily values over a month. The monthly fields are in the same
format and spatial resolution as the weekly fields.

The OI sea surface temperature (SST) analysis is produced weekly on a
one-degree grid.  The analysis uses in situ and satellite SST's plus
SST's simulated by sea-ice cover.  Before the analysis is computed, the
satellite data is adjusted for biases using the method of Reynolds
(1988) and Reynolds and Marsico (1993).  A description of the OI
analysis can be found in Reynolds and Smith (1994). The bias correction
improves the large scale accuracy of the OI.  Examples of the effect of
recent corrections is given by Reynolds (1993).

For the more recent period, 1990-present, the in situ data were
obtained from radio messages carried on the Global Telecommunication
System.  The satellite observations were obtained from operational data
produced by the National Environmental Satellite, Data and Information
Service (NESDIS).

During the period 1981-1989, the in situ data were obtained from the
Comprehensive Ocean Atmosphere Data Set (COADS) for the 1980s.  These
data (see Slutz, et al., 1985, and Woodruff, et al., 1993) consist of
logbook and radio reports.  The satellite data were obtained from
analyses of NESDIS data produced at the University of Miami's Rosentiel
School of Marine and Atmospheric Sciences.


The OI analysis is done over all ocean areas.  There is no analysis
over land.  The land values are filled by a Cressman interpolation to
produce a complete grid for possible interpolation.


                      REFERENCES


Reynolds, R. W., 1988:  A real-time global sea surface temperature
     analysis.  J. Climate,  1, 75-86.

Reynolds, R. W., 1993:  Impact of Mount Pinatubo aerosols on
     satellite-derived Sea Surface Temperatures.  J. Climate, 6,
     768-774.

Reynolds, R. W. and D. C. Marsico, 1993:  An improved real-time
     global sea surface temperature analysis.  J. Climate, 6,
     114-119.

Reynolds, R. W. and T. M. Smith, 1994: Improved global sea surface
     temperature analyses using optimum interpolation.  J. Climate, 7,
     929-948.

Slutz, R. J., S. J. Lubker, J. D. Hiscox, S. D. Woodruff, R. L.
     Jenne, D. H. Joseph, P. M. Steuer, J. D. Elms, 1985:
     Comprehensive Ocean-Atmosphere Data Set: Release 1. NOAA
     Environmental Research Laboratory, Boulder, CO, 268 pp.

Woodruff, S.D., S. J. Lubker, K. Wolter, S.J. Worley, and J.D. Elms,
     1993: Comprehensive Ocean-Atmosphere Data Set (COADS) Release 1a:
     1980-1992. Earth System Monitor, Vol. 4, No. 1, September 1993,
     NOAA.


Richard W. Reynolds        (INTERNET: rreynolds@sun1.wwb.noaa.gov)
Diane C. Stokes            (INTERNET: dstokes@sun1.wwb.noaa.gov)

Climate Modeling Branch W/NP24
Environmental Modeling Center
National Centers for Environmental Prediction
World Weather Building, Room 807
5200 Auth Road
Camp Springs, MD 20746 USA

PHONE:    (301) 763-8396
FAX:      (301) 763-8125

UPDATED: 29 November 1995
